/v1/labels/{id}/formats (GET)
GET
/v1/labels/{id}/formats
const url = 'https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/formats';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/formats \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”The label’s formats
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
label_id
required
string format: uuid
ref
required
string | null
quantity
required
Fill volume in MILLILITRES, e.g. 750 or 1500
number | null
gtin
required
string | null
consumer_product_variant
required
string | null
lot
required
string | null
internal_reference
required
string | null
shop_url
required
string | null
short_url
required
string | null
available_from
required
string | null
image_id
required
string | null format: uuid
created_at
required
string | null
updated_at
required
string | null
Examplegenerated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "label_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ref": "example", "quantity": 1, "gtin": "example", "consumer_product_variant": "example", "lot": "example", "internal_reference": "example", "shop_url": "example", "short_url": "example", "available_from": "example", "image_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created_at": "example", "updated_at": "example" } ]}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}